Summary:       Perl interface to the UNIX syslog(3) calls
Name:          perl-Unix-Syslog
Version:       1.1
Release:       6%{?dist}
License:       Artistic 2.0
URL:           https://metacpan.org/release/Unix-Syslog
Source0:       http://www.cpan.org/modules/by-authors/id/M/MH/MHARNISCH/Unix-Syslog-%{version}.tar.gz

BuildRequires: coreutils findutils gcc make perl-devel perl-generators perl-interpreter syslog
BuildRequires: perl(ExtUtils::MakeMaker) perl(DynaLoader) perl(Exporter) perl(strict) perl(vars)
Requires:       syslog

%{?perl_default_filter}

%description
This module provides an interface to the system logger syslogd(8) via Perl's XSUBs. The
implementation attempts to resemble the native libc-functions of your system, so that anyone being
familiar with syslog.h should be able to use this module right away.

%prep
%autosetup -n Unix-Syslog-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1 OPTIMIZE="%{optflags}"
%{make_build}

%install
%{make_install}
%{_fixperms} -c %{buildroot}

%check
make test

%files
%license Artistic
%doc README Changes
%{perl_vendorarch}/Unix/
%{perl_vendorarch}/auto/Unix/
%{_mandir}/man3/Unix::Syslog.3*

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1-6
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1-5
- Rebuilt for OpenCloudOS Stream 23.09

* Thu Aug 17 2023 Xiaojie Chen <jackxjchen@tencent.com> - 1.1-4
- Remove perl(:MODULE_COMPAT) which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Mar 9 2023 Shuo Wang <abushwang@tencent.com> - 1.1-1
- initial build
